Package org.opencv.imgproc

## Class GeneralizedHough

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.imgproc.GeneralizedHough

- Direct Known Subclasses:
    `GeneralizedHoughBallard`, `GeneralizedHoughGuil`

      public class GeneralizedHough
      extends Algorithm

  finds arbitrary template in the grayscale image using Generalized Hough Transform

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GeneralizedHough​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GeneralizedHough` | `__fromPtr__​(long addr)` |
    `void` | `detect​(Mat image, Mat positions)` |
    `void` | `detect​(Mat image, Mat positions, Mat votes)` |
    `void` | `detect​(Mat edges, Mat dx, Mat dy, Mat positions)` |
    `void` | `detect​(Mat edges, Mat dx, Mat dy, Mat positions, Mat votes)` |
    `protected void` | `finalize()` |
    `int` | `getCannyHighThresh()` |
    `int` | `getCannyLowThresh()` |
    `double` | `getDp()` |
    `int` | `getMaxBufferSize()` |
    `double` | `getMinDist()` |
    `void` | `setCannyHighThresh​(int cannyHighThresh)` |
    `void` | `setCannyLowThresh​(int cannyLowThresh)` |
    `void` | `setDp​(double dp)` |
    `void` | `setMaxBufferSize​(int maxBufferSize)` |
    `void` | `setMinDist​(double minDist)` |
    `void` | `setTemplate​(Mat templ)` |
    `void` | `setTemplate​(Mat edges, Mat dx, Mat dy)` |
    `void` | `setTemplate​(Mat edges, Mat dx, Mat dy, Point templCenter)` |
    `void` | `setTemplate​(Mat templ, Point templCenter)` |

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralizedHough

          protected GeneralizedHough​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GeneralizedHough __fromPtr__​(long addr)

    - #### getDp

          public double getDp()

    - #### getMinDist

          public double getMinDist()

    - #### getCannyHighThresh

          public int getCannyHighThresh()

    - #### getCannyLowThresh

          public int getCannyLowThresh()

    - #### getMaxBufferSize

          public int getMaxBufferSize()

    - #### detect

          public void detect​(Mat edges,
                             Mat dx,
                             Mat dy,
                             Mat positions,
                             Mat votes)

    - #### detect

          public void detect​(Mat edges,
                             Mat dx,
                             Mat dy,
                             Mat positions)

    - #### detect

          public void detect​(Mat image,
                             Mat positions,
                             Mat votes)

    - #### detect

          public void detect​(Mat image,
                             Mat positions)

    - #### setCannyHighThresh

          public void setCannyHighThresh​(int cannyHighThresh)

    - #### setCannyLowThresh

          public void setCannyLowThresh​(int cannyLowThresh)

    - #### setDp

          public void setDp​(double dp)

    - #### setMaxBufferSize

          public void setMaxBufferSize​(int maxBufferSize)

    - #### setMinDist

          public void setMinDist​(double minDist)

    - #### setTemplate

          public void setTemplate​(Mat edges,
                                  Mat dx,
                                  Mat dy,
                                  Point templCenter)

    - #### setTemplate

          public void setTemplate​(Mat edges,
                                  Mat dx,
                                  Mat dy)

    - #### setTemplate

          public void setTemplate​(Mat templ,
                                  Point templCenter)

    - #### setTemplate

          public void setTemplate​(Mat templ)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`